shellcheck markdownlint:
  stage: lint
  image: ubuntu:24.04
  rules:
    - if: $CI_COMMIT_BRANCH == 'prpl/2023.04'
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      changes:
        paths:
          - CHANGELOG.md
          - CONTRIBUTING.md
          - LICENSE.md
          - README.md
          - scripts/prpl/*.sh
  before_script:
    - apt-get update
    - >
      apt-get install --yes \
        markdownlint \
        shellcheck
  script:
    - shellcheck scripts/prpl/*.sh
    - mdl CHANGELOG.md CONTRIBUTING.md LICENSE.md README.md
